Bug 1119534 - [Build 20181213] openQA test fails in selinux_setup
[Build 20181213] openQA test fails in selinux_setup
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Security
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Johannes Segitz
E-mail List
https://openqa.opensuse.org/tests/815...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-14 12:31 UTC by Dominique Leuenberger
Modified: 2020-04-28 08:11 UTC (History)
11 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-12-14 12:31:09 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-selinux@64bit fails in
[selinux_setup](https://openqa.opensuse.org/tests/815655/modules/selinux_setup/steps/8)


## Reproducible

Fails since (at least) Build [20181213](https://openqa.opensuse.org/tests/815412)


## Expected result

Last good: [20181212](https://openqa.opensuse.org/tests/814800) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?flavor=DVD&distri=opensuse&test=selinux&machine=64bit&arch=x86_64&version=Tumbleweed)


The issue comes from the upgrade of setools to 4.2.0 - which in turn dropped python2 support.

As a consequence, the currently available policycoreutils-python is no longer installable.

I somewhat expect this to resolve itself, once libselinux 2.8 enters TW,together with the relevant policycoreutils updates

i.e.
sr#657421 for libselinux
sr#657420 for policycoreutils

If the maintainer agreed to this assessment, then there is nothing left to do but 'wait' - the openQA might need revalidation (first looks seems ok though, policycoreutils=python is provided/obsoleted by python3-policycoreutils)
Comment 1 Johannes Segitz 2018-12-17 10:44:40 UTC
yes, that should fix itself once the mentioned request enter Factory
Comment 2 lili zhao 2018-12-29 06:53:12 UTC
FYI - an "resolved invalid" bug:
 Bug 1116288 - SLES15 SP1 Alpha3 package "policycoreutils-python" not found in module "SLE-Module-Development-Tools"
Comment 7 Dominique Leuenberger 2019-03-08 16:27:10 UTC
This bug seems to be solved - the openQA test still does not pass though, it is simply an invalid test (installing all packages matching *selinux*)

The continuation is tracked in https://progress.opensuse.org/issues/48911 - as there is, currently, no product bug left here.
Comment 8 lili zhao 2020-04-28 08:11:16 UTC
Verified a number of builds on https://openqa.opensuse.org/ this issue was fixed.
Thanks!